org.red5.server.net.remoting.codec

## Class RemotingProtocolDecoder

- java.lang.Object
- - org.red5.server.net.remoting.codec.RemotingProtocolDecoder

    public class RemotingProtocolDecoder
    extends Object

### Field Summary

Fields
`protected static org.slf4j.Logger` `log` Logger

### Constructor Summary

Constructors
Constructor and Description
`RemotingProtocolDecoder()`

### Method Summary

Methods
`Object` `decode(ProtocolState state, org.apache.mina.core.buffer.IoBuffer in)` Decodes the buffer and returns a remoting packet.
`List<Object>` `decodeBuffer(ProtocolState state, org.apache.mina.core.buffer.IoBuffer buffer)` Decodes the given buffer.
`protected List<RemotingCall>` `decodeCalls(org.apache.mina.core.buffer.IoBuffer in)` Decode calls.
`protected Map<String,Object>` `readHeaders(org.apache.mina.core.buffer.IoBuffer in)` Read remoting headers.
`void` `setDeserializer(Deserializer deserializer)` Setter for deserializer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

Logger

### Constructor Detail

#### RemotingProtocolDecoder

    public RemotingProtocolDecoder()

### Method Detail

#### setDeserializer

    public void setDeserializer(Deserializer deserializer)

Setter for deserializer.

Parameters:
  `deserializer` - Deserializer

#### decodeBuffer

    public List<Object> decodeBuffer(ProtocolState state,
                            org.apache.mina.core.buffer.IoBuffer buffer)

Decodes the given buffer.

Parameters:
  `state` -
  `buffer` -
Returns:
  a List of `RemotingPacket` objects.

#### decode

    public Object decode(ProtocolState state,
                org.apache.mina.core.buffer.IoBuffer in)
                  throws Exception

Decodes the buffer and returns a remoting packet.

Parameters:
  `state` -
  `in` -
Returns:
  A `RemotingPacket`
Throws:
  `Exception`

#### readHeaders

    protected Map<String,Object> readHeaders(org.apache.mina.core.buffer.IoBuffer in)

Read remoting headers.

Parameters:
  `in` - Input data as byte buffer

#### decodeCalls

    protected List<RemotingCall> decodeCalls(org.apache.mina.core.buffer.IoBuffer in)

Decode calls.

Parameters:
  `in` - Input data as byte buffer
Returns:
  List of pending calls